Subject: Re: New Educational Testing/Tutorial Software

From: [email-masked] (Mike Joseph Defoe)
Date: Sun, 25 Dec 1994 06:23:03 GMT

Sounds like a great program!  What platform(s) are you going to have it 
for?  I am very interested in a Mac version if possible...

Thanks;

In a previous article, [email-masked] (NetRat) says:

>Message-ID: <[email-masked]>
>NNTP-Posting-Host: jobe.shell.portal.com
>X-Newsreader: TIN [version 1.2 PL2]
>
>Hello,
> 
>        I am writing this to find out what other people think about a 
>project I am currently working on.  I am in the process of developing a 
>educational software.  It is at its alpha state but it will enter its 
>beta state within next two weeks.  I want to know if people out there 
>will be interested in using such an educational tool for their children 
>or themselves.  The software is designed for all ages.  But I think it 
>will be wonderful for kids in high school or in other grades. 
> 
>Here is what the software is suppose to do:
> 
>The software consists of two separate programs.  One for the instructor 
>(parent/guardian/trainer) and one for the student (child/trainee).   A 
>instructor can develop a set of (multiple choice/true-false/multiple 
>choice based on pictures/short essay) questions to form a test or 
>tutorial.  The student module can run those tests or tutorials.  Here 
>are some of the features.
> 
>a. Creating question is quite easy.  A question editor is built-in to 
>the system.  Software's main emphasis is on multiple-choice (with or 
>without pictures) and true-false type questions.  
> 
>b.  All questions can have at least one default picture.
> 
>c. MCQ (with picture) can display a set of 5 pictures as (A, B, C, D, 
>and E). The pictures can be hidden under HUGE icons so students can 
>click and see the larger (if any) picture.  Pictures can be part of the 
>question or they can be used as visual-aid for the students.
> 
>d.  Instructor can create tests (tutorials) to help students and let the 
>students take the test any time by either giving them a copy of the test 
>or storing it in a shared space in a LAN.  Students will be able to run 
>the tutorial themselves and find out how they are doing since they will 
>get instructor assigned points for each question.
> 
>e.  Instructor can setup different points for each question.
> 
>f. If the software is setup in a LAN (such as Novell) it will be 
>possible for the instructor to administer tests in the lab and grading 
>can be done automatically right after the test is over (assuming 
>MCQ/True-false).  Thus student will know how s/he did right-way!
> 
>g. As said before, the tests can be administered in a LAN featured 
>computer lab.   However, if there is no LAN, instructor can keep a copy 
>of test/tutorials in a stand-alone machine that is accessible by 
>students.  By instructor's choice at test creation time, each question 
>in a test will either appear in a random order or a sequential order.  
>The random order is quite interesting since it will appear as if each 
>student has a different test! 
> 
>h. Instructor can keep a grade-book, find out which question(s) was 
>missed by most -- some statistics on the tests.
> 
> 
>Right now I have written the instructor's module and a working student 
>module.  I have created a few example tests that covers the following 
>topics:
>                - Internet basics (question about telnet, ftp, news etc.)
>                - networking basics (covers Local area networks etc.)
> 
>and I might create a few for small kids.  I would like to know what 
>people specially instructors and parents out there think of such a 
>software.  Anyone interested?  TIA.
>
>
>----------------------------------------------------------------------------
>  /       /               Mohammed J. Kabir (Ronak)
> /_  __. /___o  __        UCCS Tech Lab. Manager.
>/ <_(_(_/_) (__/ (_       Campus Phone/Voice-Mail: (916) 278-7202
>Yet another linux user    Email :[email-masked] or [email-masked]
>                          WWW : http://www.portal.com/~netrat/kabir.html
>-----------------------------------------------------------------------------
>

-- 
Mike DeFoe, HS Mathematics/Computer Science/Computer Coordinator________ 
1601 North College Drive  				       |     ;  }
Devils Lake, North Dakota  58301			       |         }	
(701) 662-1200   fax: (701) 662-1208   [email-masked]  |__________}